Shop Establishment Certificate
curl --request GET \
--url https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738342962129,
"transaction_id": "e4c1d5597c924ee3b03854343734e884",
"sub_code": "SUCCESS",
"message": "S&E Certificate Verified Successfully.",
"data": {
"client_id": "se_oWoreXNvdvhhlYlkxcHe",
"se_number": "34/156/CE/0058/2023",
"state_code": "KR",
"state_name": "Karnataka",
"business_name": "ACS CATERERS",
"address": null,
"user_mobile_number": "9845235360",
"registration_number": "34/156/CE/0058/2023",
"registration_date": null,
"category": null,
"certificate_number": "34/156/CE/0058/2023",
"document_link": "https://aadhaar-kyc-docs.s3.amazonaws.com/shop-docs/34/156/CE/0058/2023/34-156-CE-0058-2023-2025-02-03-062133-2025-02-03-062133812126.pdf",
"date_of_commencement": null,
"valid_upto": null,
"acknowledgement_number": "849916",
"email_id": null,
"website_url": null,
"name_of_occupier": null,
"father_name_of_occupier": null,
"manager_name": null,
"manager_father_name": null,
"male_workers": null,
"female_workers": null,
"young_workers": null,
"total_workers": null,
"family_members_working": null,
"confidential_employers_capacity": null,
"fax": null
}
}KYB
Shop Establishment Certificate
This API is used to verify the Shop Establishment Certificate.
GET
/
v1
/
business-compliance
/
shop-establishment-certificate
Shop Establishment Certificate
curl --request GET \
--url https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/business-compliance/shop-establishment-certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738342962129,
"transaction_id": "e4c1d5597c924ee3b03854343734e884",
"sub_code": "SUCCESS",
"message": "S&E Certificate Verified Successfully.",
"data": {
"client_id": "se_oWoreXNvdvhhlYlkxcHe",
"se_number": "34/156/CE/0058/2023",
"state_code": "KR",
"state_name": "Karnataka",
"business_name": "ACS CATERERS",
"address": null,
"user_mobile_number": "9845235360",
"registration_number": "34/156/CE/0058/2023",
"registration_date": null,
"category": null,
"certificate_number": "34/156/CE/0058/2023",
"document_link": "https://aadhaar-kyc-docs.s3.amazonaws.com/shop-docs/34/156/CE/0058/2023/34-156-CE-0058-2023-2025-02-03-062133-2025-02-03-062133812126.pdf",
"date_of_commencement": null,
"valid_upto": null,
"acknowledgement_number": "849916",
"email_id": null,
"website_url": null,
"name_of_occupier": null,
"father_name_of_occupier": null,
"manager_name": null,
"manager_father_name": null,
"male_workers": null,
"female_workers": null,
"young_workers": null,
"total_workers": null,
"family_members_working": null,
"confidential_employers_capacity": null,
"fax": null
}
}The state_code parameter can have the following values:
| State | State Code |
|---|---|
| Delhi | DL |
| Haryana | HR |
| Jammu And Kashmir | JK |
| Karnataka | KR |
| Rajasthan | RJ |
| Telangana | TL |
| Uttarakhand | UK |
| Uttar Pradesh | UP |
| West Bengal | WB |
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.